** ECONOMETRIC GAME 2009: ASSIGNMENT A **
** CREATION DATA EXPLANATION NUMBER OF DECEASED CHILDREN**
** February/March 2009 **
cd "H:\econometric game 2009\stata-files"
use IAIR51FL.dta
sample 10
gen decch = v201 - v218
gen yoldch=min(b2_01,b2_02,b2_03,b2_04,b2_05,b2_06,b2_07,b2_08,b2_09,b2_10,b2_11,b2_12,b2_13,b2_14,b2_15,b2_16,b2_17,b2_18,b2_19,b2_20)
gen yyouch=max(b2_01,b2_02,b2_03,b2_04,b2_05,b2_06,b2_07,b2_08,b2_09,b2_10,b2_11,b2_12,b2_13,b2_14,b2_15,b2_16,b2_17,b2_18,b2_19,b2_20)
gen agemoo=yoldch-v010
gen agemoy=yyouch-v010
gen male1=(b4_01 == 1)
gen male2=(b4_02 == 1)
gen male3=(b4_03 == 1)
gen male4=(b4_04 == 1)
gen male5=(b4_05 == 1)
gen male6=(b4_06 == 1)
gen male7=(b4_07 == 1)
gen male8=(b4_08 == 1)
gen male9=(b4_09 == 1)
gen male10=(b4_10 == 1)
gen male11=(b4_11 == 1)
gen male12=(b4_12 == 1)
gen male13=(b4_13 == 1)
gen male14=(b4_14 == 1)
gen male15=(b4_15 == 1)
gen male16=(b4_16 == 1)
gen male17=(b4_17 == 1)
gen male18=(b4_18 == 1)
gen male19=(b4_19 == 1)
gen male20=(b4_20 == 1)
gen malech=male1+male2+male3+male4+male5+male6+male7+male8+male9+male10+male11+male12+male13+male14+male15+male16+male17+male18+male19+male20
gen lmale1=(b4_01 == 1)&(b5_01 == 1)
gen lmale2=(b4_02 == 1)&(b5_02 == 1)
gen lmale3=(b4_03 == 1)&(b5_03 == 1)
gen lmale4=(b4_04 == 1)&(b5_04 == 1)
gen lmale5=(b4_05 == 1)&(b5_05 == 1)
gen lmale6=(b4_06 == 1)&(b5_06 == 1)
gen lmale7=(b4_07 == 1)&(b5_07 == 1)
gen lmale8=(b4_08 == 1)&(b5_08 == 1)
gen lmale9=(b4_09 == 1)&(b5_09 == 1)
gen lmale10=(b4_10 == 1)&(b5_10 == 1)
gen lmale11=(b4_11 == 1)&(b5_11 == 1)
gen lmale12=(b4_12 == 1)&(b5_12 == 1)
gen lmale13=(b4_13 == 1)&(b5_13 == 1)
gen lmale14=(b4_14 == 1)&(b5_14 == 1)
gen lmale15=(b4_15 == 1)&(b5_15 == 1)
gen lmale16=(b4_16 == 1)&(b5_16 == 1)
gen lmale17=(b4_17 == 1)&(b5_17 == 1)
gen lmale18=(b4_18 == 1)&(b5_18 == 1)
gen lmale19=(b4_19 == 1)&(b5_19 == 1)
gen lmale20=(b4_20 == 1)&(b5_20 == 1)
gen lmalech=lmale1+lmale2+lmale3+lmale4+lmale5+lmale6+lmale7+lmale8+lmale9+lmale10+lmale11+lmale12+lmale13+lmale14+lmale15+lmale16+lmale17+lmale18+lmale19+lmale20
label variable decch "number of deceased children: v201 - v218"
label variable yoldch "year of birth oldest child"
label variable yyouch "year of birth youngest child"
label variable agemoo "age mother at birth oldest child"
label variable agemoy "age mother at birth youngest chikld"
label variable malech "number of male children ever born"
label variable lmalech "number of male children still living"
keep caseid v010 v020 v101-v105 v106-v133 v137-v138 v149-v152 v201-v212 v218 v221 v301-v325 v501-v512 v602-v616 v627-v629 v701-v739 decch yoldch yyouch agemoo agemoy malech lmalech
save IndiaDHS3, replace